// URL-Zerstueckelung, um bestimmte Abschnitte im rechten Inhaltsbereich aufzuklappen
var iframeLoader = {
  // URL wird aufgeteilt in 'if', 'menu' und 'submenu'
  init: function () {
    var ifsrc = this.getUrlParam("if");
    if (ifsrc != "") {
        // bewirkt fett machen und oeffnen auf 1. Ebene
        document.getElementById("iframecontent").src = ifsrc;
        $("a[href='" + ifsrc + "']").trigger("click");
    }
    var ifmenu = this.getUrlParam("menu");
    if (ifmenu != "") {
        // bewirkt fett machen und oeffnen auf 2. Ebene
        $("." + ifmenu).trigger("click");
        //console.log("menu click: ."+ifmenu);
    }
    var ifsubmenu = this.getUrlParam("submenu");
    if (ifsubmenu != "") {
        // bewirkt fett machen in 3. Ebene
        $("." + ifsubmenu).trigger("click");
        //console.log("submenu click: ."+ifsubmenu);
    }
  },
  // die eigentliche URL-Zerstueckelung
  getUrlParam: function (name) {
    name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
    var regexS = "[\\?%]"+ name +"=([^%#]*)"; 
    var regex = new RegExp( regexS );
    var results = regex.exec( window.location.href );
    if ( results == null ) {
      return "";
    } else {
      return results[1];
    }
  }
};

// Umschalter der Menue-Dreiecke
function toggle(control){
  var elem = document.getElementById(control);
  var pfeil = document.getElementById(control + "-png");

  if(elem.style.display == "none"){
    elem.style.display = "block";
    pfeil.src = "../AppHelp/klapp-down.png";
  }else{
    elem.style.display = "none";
    pfeil.src = "../AppHelp/klapp-right.png";
  }
}

// alte Suchfunktion, wahrscheinlich deprecated und nicht mehr verwendet!
function doSearch(value) {
  var result = "";
  if (value == "") return;
  value = value.toLowerCase();

   for(var loop = 0; loop < terms.length; loop++) {
     for (var word = 0; word < terms[loop][0].length; word++) {
      if(terms[loop][0][word].toLowerCase().indexOf(value) != -1) {
				result += "<li><a class='overview' href='"+terms[loop][2]+"'>"+terms[loop][1]+"</a></li>";
        break;
			}
     }
   }
   if (result == "") {
		result = "<p>" + MxSlang.NoResults + "</p>";
    } else
     result = "<ul>" +  result + "</ul>";
   document.getElementById("matches").innerHTML = result;
   document.getElementById("CloseSearch").style.display = "inline";
}

// gehoert zum alten Suchmechanismus
function closeSearch(obj) {
  obj.style.display = "none";
  document.getElementById("matches").innerHTML = "";
  document.getElementById("searchphrases").value = "";
}

// oeffnet ein Bild modal
function openImageInModal(imglink) {
  var top = window.top || window.parent;
  var modal = top.$("#modal");
  modal.addClass("visible-modal");
  modal.find("img.modalImage")[0].src = imglink;
}

// schliesst das modal angezeigte Bild
function closeModal() {
  var top = window.top || window.parent;
  var modal = top.$("#modal");
  modal.removeClass("visible-modal");
}
